package com.gh.gamecenter.entity

import android.os.Parcelable
import com.google.gson.annotations.SerializedName
import kotlinx.parcelize.Parcelize

@Parcelize
data class InterestedGameEntity(
    @SerializedName("_id")
    var id: String = "",
    @SerializedName("play_frequency")
    var playFrequency: String = "", // 玩游戏的评率：每天daily，节假日holiday，偶尔sometime
    @SerializedName("game_new_old")
    var gameCondition: String = "", // 游戏新旧：新new，旧old
    @SerializedName("play_type")
    var playType: String = "", // 玩游戏的类型：单人-single, 朋友-friend, 其他-others
    var tags: List<String> = listOf(), // 关注的标签_id
    @SerializedName("type_tag")
    var typeTag: List<TypeTag> = listOf(), // 后台设置的分类及标签
) : Parcelable {

    @Parcelize
    data class TypeTag(
        @SerializedName("_id")
        var id: String = "",
        var name: String = "",
        var tags: ArrayList<Tag> = arrayListOf()
    ) : Parcelable {

        @Parcelize
        data class Tag(
            @SerializedName("_id")
            var id: String = "",
            var name: String = ""
        ) : Parcelable

    }
}

@Parcelize
data class InterestedGamePostEntity(
    @SerializedName("play_frequency")
    var playFrequency: String = "", // 玩游戏的评率：每天daily，节假日holiday，偶尔sometime
    @SerializedName("game_new_old")
    var gameCondition: String = "", // 游戏新旧：新new，旧old
    @SerializedName("play_type")
    var playType: String = "", // 玩游戏的类型：单人-single, 朋友-friend, 其他-others
    var tags: List<String> = listOf(), // 关注的标签_id
) : Parcelable